Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1388831 - jasper: missing jas_matrix_create() parameter checks (incomplete fix for CVE-2016-8690)
Summary: jasper: missing jas_matrix_create() parameter checks (incomplete fix for CVE-...
Keywords:
Status: CLOSED DUPLICATE of bug 1385499
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1388873 1388874 1388875 1388876
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-26 09:30 UTC by Adam Mariš
Modified: 2019-09-29 13:58 UTC (History)
27 users (show)

Fixed In Version: jasper 1.900.9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-30 15:21:14 UTC
Embargoed:


Attachments (Terms of Use)

Description Adam Mariš 2016-10-26 09:30:37 UTC
Null pointer dereference vulnerability in bmp_getdata in bmp_dec.c was found.

Upstream patch:

https://github.com/mdadams/jasper/commit/5d66894d2313e3f3469f19066e149e08ff076698

CVE assignment:

http://seclists.org/oss-sec/2016/q4/213

Comment 1 Adam Mariš 2016-10-26 10:53:06 UTC
Created mingw-jasper tracking bugs for this issue:

Affects: fedora-all [bug 1388874]
Affects: epel-7 [bug 1388876]

Comment 2 Adam Mariš 2016-10-26 10:53:24 UTC
Created jasper tracking bugs for this issue:

Affects: fedora-all [bug 1388873]
Affects: epel-5 [bug 1388875]

Comment 3 Tomas Hoger 2016-11-30 15:21:14 UTC
Both CVEs here - CVE-2016-8884 CVE-2016-8885 - were assigned to the same issue for which CVE-2016-8690 was originally assigned and which was not addressed in the original patch.  I'm going move these additional CVEs to the bug used to track CVE-2016-8690, as it's really a single issue with 3 CVE ids.

*** This bug has been marked as a duplicate of bug 1385499 ***


Note You need to log in before you can comment on or make changes to this bug.